import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { TicketType } from '../interfaces/ticket-type.interface';
import { Observable } from 'rxjs';
import { headers } from 'src/app/shared/utils/header.util';

@Injectable({providedIn: 'root'})
export class TicketTypeService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = 'http://localhost:8085/api/v1/ticket-types';

  getAll(): Observable<TicketType[]> {
    return this.http.get<TicketType[]>(this.BASE_URL, { headers });
  }
}
